﻿@using Easy4Us.Application.DTO

@if (Customers == null)
{
    <p><em>Loading customers...</em></p>
}
else if (Customers.Count() == 0)
{
    <p><em>No customers</em></p>
}
else
{
    <table class="customer-table table table-sm table-striped table-bordered shadow-lg">
        <thead>
            <tr>
                <th>Customer #</th>
                <th>Federal Tax</th>
                <th>Company</th>
                <th>Quote</th>
                <th>Validated</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var customer in Customers)
            {
                <tr>
                    <td>@customer.CustomerNumber</td>
                    <td>@customer.FederalTaxID</td>
                    <td>@customer.CompanyName</td>
                    <td>@customer.QuoteTime</td>
                    <td class="text-white">
                        <span class="@GetValidationStatusClass(customer.GAMA)">GAMA</span>
                        <span class="@GetValidationStatusClass(customer.NewEasy)">NewEasy</span>
                        <span class="@GetValidationStatusClass(customer.SFDC)">SFDC</span>
                        <span class="@GetValidationStatusClass(customer.USP)">USP</span>
                    </td>
                </tr>
            }
        </tbody>
    </table>
}

@code { 
    [Parameter]
    public IEnumerable<CustomerDTO> Customers { get; set; }

    private string GetValidationStatusClass(Domain.Enums.ValidationStatus validationStatus)
    {
        switch(validationStatus)
        {
            case Domain.Enums.ValidationStatus.VALID:
                return "badge bg-success";
            case Domain.Enums.ValidationStatus.INVALID:
                return "badge bg-danger";
            case Domain.Enums.ValidationStatus.NOT_VALIDATED:
            default:
                return "badge bg-secondary";
        }
    }
}